﻿


.. index::
   pair: Perl ; Ack
   ! Ack

.. _ack:

====
ack
====

.. seealso::

   - http://beyondgrep.com/
   - https://github.com/petdance/ack
   - http://petdance.com/
   - http://beyondgrep.com/ack-2.0/
   - http://beyondgrep.com/why-ack/


.. contents::
   :depth: 3

Presentation
============

``ack`` is a grep-like tool optimized for working with large trees of source code.

ack is a grep-like search tool that has been optimized for searching large
heterogeneous trees of source code.

ack has been around since 2005.

Since then it has become very popular and is packaged by all the major Linux
distributions.

It is cross-platform and pure :ref:`Perl <perl>`, so will run on Windows easily.

See the "Why ack ?"_ page for the top ten reasons, and dozens of testimonials.

.. _"Why ack ?":  http://beyondgrep.com/why-ack/


Documentation
=============

.. seealso::

   - http://beyondgrep.com/documentation/

Install
=======

On windows
----------

.. seealso::

   - http://chocolatey.org/packages/ack
   - http://stevengharms.com/blog/2012/04/10/use-ack-instead-of-grep-to-parse-text-files/


Ack more tools
===============

.. toctree::
   :maxdepth: 3

   more_tools


Ack versions
============

.. toctree::
   :maxdepth: 3

   versions/versions
